﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Diagnostics;
using System.IO;

namespace testFieldLayoutResource
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            //xamDataGrid1.FieldLayouts.Add(MainWindow.Resources["FieldLayout"] as FieldLayout);
            //xamDataGrid2.FieldLayouts.Add(MainWindow.Resources["FieldLayout"] as FieldLayout);

            xamDataGrid1.DataSource = Data.GenerateClass.GeneratePersonData();
            xamDataGrid2.DataSource = Data.GenerateClass.GeneratePersonData();



            


        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            using (FileStream fs = new FileStream("xamDataGridLayout1.xml", FileMode.Create, FileAccess.Write))
            {
                this.xamDataGrid1.SaveCustomizations(fs);
            }  
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            using (FileStream fs = new FileStream("xamDataGridLayout1.xml", FileMode.Open, FileAccess.Read))
            {
                this.xamDataGrid2.LoadCustomizations(fs);

            }  
        }
    }
}
